Bug 584784 - 100% CPU after trashing a file with an emblem
Summary: 100% CPU after trashing a file with an emblem
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 12:13 UTC by Michael Monreal
Modified: 2015-03-03 22:47 UTC (History)
4 users (show)

Fixed In Version: gvfs-1.6.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 18:54:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Monreal 2010-04-22 12:13:48 UTC
Empty trash. Now create a file "TEST". Attach an emblem. Move the file to the trash. Open the trash in nautilus...

The nautilus window will not be responsive but the process will hog the CPU. Trying to close the nautilus window will not work, instead you will get a window asking if you want to end the non-responsive process.

Using "gvfs-ls trash:///" works fine.

I can use the trash applet to empty the trash, which works, but the trash applet still shows the trash as full... so same symptom as Bug 579228.

I just investigated this on F13 beta+updates but I think F12 may have the same problem.

Comment 1 Tomáš Bžatek 2010-04-22 12:18:08 UTC
Working on it, upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=614544

Comment 2 Fedora Update System 2010-05-04 12:26:58 UTC
gvfs-1.6.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gvfs-1.6.1-3.fc13

Comment 3 Fedora Update System 2010-05-05 07:18:43 UTC
gvfs-1.6.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gvfs-1.6.1-3.fc13

Comment 4 Fedora Update System 2010-05-17 18:54:26 UTC
gvfs-1.6.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.